Package: grails.rest.render.hal

## [Groovy] Class HalXmlCollectionRenderer

- grails.rest.render.hal.HalXmlCollectionRenderer

- All Implemented Interfaces and Traits:
    ContainerRenderer

      class HalXmlCollectionRenderer
      extends HalXmlRenderer
      implements ContainerRenderer

  A HAL XML renderer for a collection of objects

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Class` | `componentType` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class HalXmlRenderer` | `DEFAULT_MIME_TYPES, LINK_TAG, MIME_TYPE, RELATIONSHIP_ATTRIBUTE, RESOURCE_TAG`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Class` | `componentType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HalXmlCollectionRenderer (java.lang.Class componentType)`
    `HalXmlCollectionRenderer (java.lang.Class componentType, MimeType[] mimeTypes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HalXmlRenderer` | `renderInternal, startResourceTag, startResourceTagForCurrentPath, writeDomainProperty, writeDomainWithEmbeddedAndLinks, writeLink`

- - ### Field Detail

    - #### private final java.lang.Class componentType

  - ### Property Detail

    - #### final java.lang.Class componentType

  - ### Constructor Detail

    - #### HalXmlCollectionRenderer(java.lang.Class componentType)

    - #### HalXmlCollectionRenderer(java.lang.Class componentType, MimeType[] mimeTypes)